MEMORY
{
    RAM (rwx) : ORIGIN = 0x80000000, LENGTH = 0x10000000
}

_vector_table = 0x0;

SECTIONS
{
    .text :
    {
        _text_begin = .;
        KEEP(*(.start))

        *(.text*)
        _text_end = .;

        *(.rodata*)
    } > RAM

    .bss (NOLOAD) :
    {
        _bss_begin = .;
        *(.bss*)
        *(COMMON)
        _bss_end = .;
    } > RAM

    .data :
    {
        *(.data*)

        __exidx_start = .;
        *(.exidx*)
        __exidx_end = .;
    } > RAM

    _heap_begin = .;

    _initial_stack_pointer = 0x90000000;
    _heap_end = 0x8f000000; /* leave 1M for the stack */
}
