MEMORY
{
    ICTM (rwx) : ORIGIN = 0x00000800, LENGTH = 14336
}

_vector_table = 0x0;

SECTIONS
{
    .text :
    {
        _text_begin = .;
        KEEP(*(.app_init))

        *(.text*)
        _text_end = .;

        *(.rodata*)
    } > ICTM

    .bss (NOLOAD) :
    {
        _bss_begin = .;
        *(.bss*)
        *(COMMON)
        _bss_end = .;
    } > ICTM

    .data :
    {
        *(.data*)

        __exidx_start = .;
        *(.exidx*)
        __exidx_end = .;
    } > ICTM

    _heap_begin = .;

    _initial_stack_pointer = 16384;
    _heap_end = _initial_stack_pointer - 1024;
}
